curl --request GET \
--url https://api.quedup.dev/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quedup.dev/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quedup.dev/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quedup.dev/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quedup.dev/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quedup.dev/jobs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quedup.dev/jobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Nightly customer sync",
"url": "https://api.example.com/webhooks/customer-sync",
"method": "POST",
"headers": {
"Authorization": "Bearer sk_test_123",
"Content-Type": "application/json"
},
"body": "{\"source\":\"quedup\",\"action\":\"sync\"}",
"schedule": "0 0 * * *",
"next_run_at": "2026-03-09T00:00:00.000Z",
"status": "active"
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}Retrieve Job
Fetches a single job by its ID, including scheduling and request details.
curl --request GET \
--url https://api.quedup.dev/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quedup.dev/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quedup.dev/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quedup.dev/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quedup.dev/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quedup.dev/jobs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quedup.dev/jobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Nightly customer sync",
"url": "https://api.example.com/webhooks/customer-sync",
"method": "POST",
"headers": {
"Authorization": "Bearer sk_test_123",
"Content-Type": "application/json"
},
"body": "{\"source\":\"quedup\",\"action\":\"sync\"}",
"schedule": "0 0 * * *",
"next_run_at": "2026-03-09T00:00:00.000Z",
"status": "active"
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}Authorizations
Provide your QuedUp API key in the Authorization header as Bearer <api_key>.
Path Parameters
Unique identifier of the job.
"550e8400-e29b-41d4-a716-446655440000"
Response
A scheduled HTTP job managed by QuedUp.
Unique identifier for the job.
"550e8400-e29b-41d4-a716-446655440000"
Human-readable name for the job.
"Nightly customer sync"
Destination URL that QuedUp calls when the job runs.
"https://api.example.com/webhooks/customer-sync"
HTTP method used when QuedUp executes the job request.
GET, POST, PUT, PATCH, DELETE "POST"
HTTP headers that will be sent with the outbound request.
Show child attributes
Show child attributes
{
"Authorization": "Bearer sk_test_123",
"Content-Type": "application/json"
}
Raw request body sent when the job executes.
"{\"source\":\"quedup\",\"action\":\"sync\"}"
Cron expression for recurring execution. Null for one-time jobs.
"0 0 * * *"
Next scheduled execution time in ISO 8601 format.
"2026-03-09T00:00:00.000Z"
Current lifecycle state of the job.
active, paused, failed, completed, running "active"
Was this page helpful?